org.apache.lucene.search

## Interface FieldCache.ShortParser

All Superinterfaces:
  FieldCache.Parser

Enclosing interface:
  FieldCache

    public static interface FieldCache.ShortParser
    extends FieldCache.Parser

Interface to parse shorts from document fields.

See Also:
  `FieldCache.getShorts(AtomicReader, String, FieldCache.ShortParser, boolean)`

### Method Summary

Methods
`short` `parseShort(BytesRef term)` Return a short representation of this field's value.

### Methods inherited from interface org.apache.lucene.search.FieldCache.Parser

`termsEnum`

### Method Detail

#### parseShort

    short parseShort(BytesRef term)

Return a short representation of this field's value.